Name:           perl-Test-Signature
Version:        1.11
Release:        1%{?dist}
Summary:        Automated SIGNATURE testing
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-Signature/
Source0:        http://www.cpan.org/authors/id/A/AU/AUDREYT/Test-Signature-%{version}.tar.gz
# Audrey Tang's public key (3C3501A0), from the Module::Signature 0.61 distribution
Source1:        AUDREY2006.pub
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:      noarch
# Module Build
BuildRequires:  gnupg
BuildRequires:  perl
BuildRequires:  perl(Config)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::Manifest)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(FindBin)
# Module Runtime
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Module::Signature)
BuildRequires:  perl(Socket)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::Builder)
BuildRequires:  perl(vars)
# Test Suite
BuildRequires:  perl(Test::More)
# Optional Tests
BuildRequires:  perl(File::Find::Rule)
BuildRequires:  perl(Test::Pod) >= 0.95
# Runtime
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# Package just skips (or, optionally, fails) testing if Module::Signature not installed
Requires:       perl(Module::Signature)
# Likewise, needs Socket to connect to keyserver
Requires:       perl(Socket)

%description
Module::Signature allows you to verify that a distribution has not been
tampered with. Test::Signature lets that be tested as part of the
distribution's test suite.

%prep
%setup -q -c -n Test-Signature

# Copy up documentation for convenience with %%doc
cp -a Test-Signature-%{version}/{Changes,README} .

# Create a GPG directory for testing, to avoid using ~/.gnupg
mkdir --mode=0700 gnupghome
export GNUPGHOME=$(pwd)/gnupghome

# Import upstream's GPG key so we don't need to fetch it from a keyserver
# when running the signature test
gpg --import %{SOURCE1}

%build
export GNUPGHOME=$(pwd)/gnupghome
cd Test-Signature-%{version}
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}
cd -

%install
rm -rf %{buildroot}
make -C Test-Signature-%{version} pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
export GNUPGHOME=$(pwd)/gnupghome
make -C Test-Signature-%{version} test

%clean
rm -rf %{buildroot}

%files
%doc Changes README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Signature.3*

%changelog
* Wed Apr  8 2015 Paul Howarth <paul@city-fan.org> - 1.11-1
- Update to 1.11
  - Compatibility with Module::Signature 0.75+
- Classify buildreqs by usage
- Don't use macros for commands
- Avoid clobbering ~/.gnupg for local builds
- Make %%files list more explicit
- Drop %%defattr, redundant since rpm 4.4
- Import upstream's GPG key in %%prep so we don't need to fetch it from a
  keyserver when running the signature test

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Dec 07 2008 Iain Arnell <iarnell@gmail.com> 1.10-2
- remove explicit requires

* Fri Dec 05 2008 Iain Arnell 1.10-1
- Specfile autogenerated by cpanspec 1.77.
